Part Ellipsoid/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}


{{Docnav
{{Docnav
Line 10: Line 9:
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 20: Line 18:
</div>
</div>


A [[Image:Part_Ellipsoid.svg|24px]] '''Part Ellipsoid''' is a parametric solid that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.
The [[Image:Part_Ellipsoid.svg|24px]] [[Part_Ellipsoid|Part Ellipsoid]] command creates a parametric Ellipsoid solid.


A Part Ellipsoid can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of an ellipsoid by changing its {{PropertyData|Angle3}} property.
The shape produced is limited in FreeCAD to being a solid (optionally truncated) spheroid, the shape you would create by rotating an ellipse around one of its axis. By default it is a [http://en.wikipedia.org/wiki/Oblate_spheroid Oblate Spheroid], the shape you would create by rotating an ellipse around its minor axis. The parameters can be changed to form a [http://en.wikipedia.org/wiki/Prolate_spheroid Prolate Spheroid].


[[Image:Part_Ellipsoid_Example.png|400px]]
The default spheroid in FreeCAD will have a circle for any cross section parallel to the XY plane. The cross section parallel to the other two planes will be an ellipse.


== Usage ==
In mathematics, an [http://en.wikipedia.org/wiki/Ellipsoid Ellipsoid] would have an elliptical cross section in all three planes.


See [[Part_Primitives#Usage|Part Primitives]].
==Usage==


== Example ==
A parametric Ellipsoid solid is available from the Create Primitives dialogue in the Part workbench.

# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part_Workbench|Part Workbench]]
[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]
# Access the Ellipsoid command several ways:

#* Through the Create Primitives dialogue, pressing the [[Image:Part_Primitives.svg|32px]] [[Part_Primitives|Primitives]] button located in the Part toolbar
A Part Ellipsoid object created with the [[#Scripting|scripting example]] below is shown here.
#* Using the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] → Ellipsoid}} entry in the Part menu


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 55: Line 53:
</div>
</div>


See also: [[Property_editor|Property editor]].
* Radius 1, by default the minor radius parallel to the Z-axis,
* Radius 2, by default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
* Angle 1, lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
* Angle 2, upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
* Angle 3, angle of rotation of the elliptical cross section (360 degrees in a full spheroid)


A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
[[Image:Part_Ellipsoid_screenshot.jpg]]

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Ellipsoid}}

* {{PropertyData|Radius1|Length}}: The radius of the ellipsoid in its Z direction. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the ellipsoid in its X direction. The default is {{Value|4mm}}.
* {{PropertyData|Radius3|Length}}: The radius of the ellipsoid in its Y direction. The default is {{Value|4mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt;&#61; value &lt; 90°}}. Must be smaller than {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt; value &lt;&#61; 90°}}. Must be larger than {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the elliptical sides is smaller than {{Value|180°}} the ellipsoid will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Ellipsoid can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
}}

* Where {{Incode|"myEllipsoid"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()
}}




Line 74: Line 114:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:07, 3 March 2022

Díl Ellipsoid

Umístění Menu
Díl → Vytváření zákl.geom.tvarů → Elipsoid
Pracovní stoly
Díl, OpenSCAD
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
..

Popis

A Part Ellipsoid is a parametric solid that can be created with the Part Primitives command. In the coordinate system defined by its ÚdajePlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its ÚdajeAngle1 and/or ÚdajeAngle2 properties. It can be turned into a segment of an ellipsoid by changing its ÚdajeAngle3 property.

Usage

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Základní geometrické tvary

Elipsoid

Parametr

  • Poloměr 1
  • Poloměr 2
  • U parametric:
  • V parametric:
  • V parametric:

Location

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • ÚdajeRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • ÚdajeRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • ÚdajeRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • ÚdajeAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than ÚdajeAngle2. The default is -90°.
  • ÚdajeAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than ÚdajeAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • ÚdajeAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()